/* Styles: Luis Alonso */



form {
    display: flex;
    flex-direction: column;
    align-items: center;

    a {
        display: flex;
        align-items: center;
        padding: 0.6rem 1.2rem;
        border: 0.15rem solid #aaaaaa;
        border-radius: 1.4rem;
        text-decoration: none;

        img {
            width: 1.5rem;
            height: auto;
        }

        span {
            padding: 0.2rem 0.5rem;
            font-weight: 500;
            color: var(--neutral-color)
        }
    }

    label,
    input {
        width: 90%;
    }

    label {
        font-family: var(--secondary-font-medium);
        color: var(--secondary-color);
        margin-bottom: 0.5rem;
    }

    input {
        padding: 1rem 1.2rem;
        outline: none;
        border: 0.15rem solid #aaaaaa;
        border-radius: 1.4rem;
        font-size: 1.1rem;
        transition: all 0.3s ease;

        &:focus {
            border: 0.15rem solid var(--secondary-color);
        }
    }

    p {
        width: 85%;
        font-size: 0.9rem;
        color: var(--neutral-color);

        &:nth-of-type(1),
        &:last-child {
            padding: 0.7rem 1rem;
            border-radius: 1.2rem;
            font-weight: 500;
            text-align: center;
            background: var(--explication-color);
        }

        &:last-child {
            font-size: 0.85rem;
        }
    }

    button {
        margin: 0.7rem;
        padding: 1rem 1.7rem;
        border: 0.2rem solid var(--primary-color);
        border-radius: 1.5rem;
        font-size: 1.05rem;
        font-weight: 600;
        letter-spacing: 0.05rem;
        color: var(--background-color);
        background: color-mix(in srgb, var(--primary-color), #ffffff 1%);
        transition: all 0.3s ease;

        &:active {
            color: var(--secondary-color);
            border: 0.2rem solid var(--secondary-color);
            background: var(--background-color);
        }
    }
}